View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000074Ecere SDKcompilerpublic2008-05-12 17:262012-03-29 07:50
Reporterjerome 
Assigned Tojerome 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000074: Fix grammar for templating / inheriting off a templated class and specifying template parameters by name
DescriptionFix grammar for templating / inheriting off a templated class and specifying template parameters by name
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000042)
jerome (administrator)
2008-05-13 05:41

- All template types were being declared in the global context. A context was added in the Symbol object to each class.
- Grammar was modified to accommodate declaring the template types from a base class into the context of the class being defined
- Improvements remain to be done to support declaring template types for base classes inside a registered class
- Method data types cast for virtual methods were using SpecDeclFromString which needs the context of the class for which the method is declared: improvements for registered class are needed, might be needed elsewhere.

- Issue History
Date Modified Username Field Change
2008-05-12 17:26 jerome New Issue
2008-05-12 17:26 jerome Status new => assigned
2008-05-12 17:26 jerome Assigned To => jerome
2008-05-13 02:14 jerome Summary Fix grammar for inheriting off a templated class => Fix grammar for templating / inheriting off a templated class and specifying template parameters by name
2008-05-13 02:14 jerome Description Updated
2008-05-13 05:41 jerome Status assigned => resolved
2008-05-13 05:41 jerome Resolution open => fixed
2008-05-13 05:41 jerome Note Added: 0000042
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:53 redj Relationship added child of 0000433
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker